# encoding: utf-8
$:.push File.expand_path('../lib', __FILE__)

Gem::Specification.new do |gem|
  gem.name        = 'fluent-plugin-pg_stat'
  gem.description = 'PostgreSQL stat input plugin for Fleuentd'
  gem.homepage    = 'https://github.com/hagihala/fluent-plugin-pg_stat'
  gem.summary     = gem.description
  gem.licenses    = ['Apache-2.0']
  gem.version     = File.read('VERSION').strip
  gem.authors     = ['Yusuke Hagihara']
  gem.email       = 'yusuke.hagihara@gmail.com'
  gem.has_rdoc    = false
  gem.files       = `git ls-files`.split("\n")
  gem.test_files  = `git ls-files -- {test,spec,features}/*`.split("\n")
  gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  gem.require_paths = ['lib']

  gem.add_dependency 'fluentd', ['>= 0.12.0', '< 2']
  gem.add_dependency 'pg', '~> 0.19', '>= 0.19.0'
  gem.add_development_dependency 'rake', '~> 12.0'
end
